package cz.moneta.test.dsl.kasanova.components.enums;

import java.util.Random;

public enum KSNNames {
    KAJA_MARIK("Kája Mařík"), 
    PETR_PAVEL("Petr Pavel"), 
    HONZA_JAN("Honza Jan"), 
    MIROSLAV_KECAL("Miroslav Kecal");

    private final String value;
    private static final Random random = new Random();
    
    KSNNames(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }
    
    public static KSNNames getRandomName() {
        int i = random.nextInt(KSNNames.values().length);
        return KSNNames.values()[i];
    }

    public static String getRandomNameValue() {
        int i = random.nextInt(KSNNames.values().length);
        return KSNNames.values()[i].getValue();
    }

}
